org.apache.fop.fo.properties

## Class ListProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.ListProperty

- Direct Known Subclasses:
    BackgroundPositionShorthand, FontFamilyProperty, FontShorthandProperty

      public class ListProperty
      extends Property

  Superclass for properties that are lists of other properties

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ListProperty.Maker` Inner class for creating instances of `ListProperty`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<Property>` | `list` Vector containing the list of sub-properties

    - ### Fields inherited from class org.apache.fop.fo.properties.Property

      `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ListProperty()` Simple constructor used by subclasses to do some special processing.
    `` | `ListProperty(Property prop)` Create a new instance, using the given `Property` as the first element in the list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(Property prop)` Add a new property to the list
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<Property>` | `getList()` Return the `java.util.List` of `Property` instances contained in this property.
    `java.lang.Object` | `getObject()` Return the `java.util.List` of `Property` instances, cast as a `java.lang.Object`.
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.fop.fo.properties.Property

      `getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### list

          protected final java.util.List<Property> list

      Vector containing the list of sub-properties

  - ### Constructor Detail

    - #### ListProperty

          protected ListProperty()

      Simple constructor used by subclasses to do some special processing.

    - #### ListProperty

          public ListProperty(Property prop)

      Create a new instance, using the given `Property` as the first element in the list.
      Parameters:
        `prop` - the first property to be added to the list

  - ### Method Detail

    - #### addProperty

          public void addProperty(Property prop)

      Add a new property to the list
      Parameters:
        `prop` - Property to be added to the list

    - #### getList

          public java.util.List<Property> getList()

      Return the `java.util.List` of `Property` instances contained in this property.
      Overrides:
        `getList` in class `Property`
      Returns:
        the list of properties contained in this instance

    - #### getObject

          public java.lang.Object getObject()

      Return the `java.util.List` of `Property` instances, cast as a `java.lang.Object`.
      Overrides:
        `getObject` in class `Property`
      Returns:
        this.list cast as an Object

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.